Reply
Logi Nu
JohnMc
Posts: 1
Registered: ‎10-29-2011

Error during (Mac) Logitech Control Center upgrade

Running MacOX Lion (10.7).   Got a notice that the Lotiech contorl center had an update available, so I updated.   During the install process I got an error.   But the isntall seemed to continue with no problems.   I restarted and checked the version, and I'm running 3.5.0-18   (this site says 3.5.18 is the curtrent version, so while it looks different I think I'm running the latest build.   The only change I saw is the scrool wheel got super fast, so I had to go to the Mouse control and slow it down. 

 

The question:   Does the error I got mean somethign was not installed right???  Is is this an extension from a real old control center that was carried forward?  The current file LogitechUnifying.kext has a date of Sept 2009 on it.  

 

The error:   System Extension Cannot Be used.    The system extension "/System/Library/Extensions/LogitechUnifying.kext" was installed improperly and cannot be used.   Please try reinstalling it, or contact the product's vendor for an update.


Thoughts on what happened, and waht action I should take?

 

thanks

Logi Nu
LaMalice
Posts: 1
Registered: ‎11-03-2011

Re: Error during (Mac) Logitech Control Center upgrade

I do have exactly the same issue.

Moreover the settings for my VX-Nano are not savec after a restart of my computer.

 

Please help.

 

P

Retired Logitech Employee / Moderator (Inactive)
woody
Posts: 2,779
Registered: ‎05-19-2006

Re: Error during (Mac) Logitech Control Center upgrade

We have confirmed that it is LCC issue.  The workaround is to:

 

1. Uninstall and reinstall LCC 3.5.0
2. If the message re-appears:
Ignore warning message, do not click “OK” to dismiss it.
• Wait until the LCC 3.5.0 Installer proceeds and completes.
• Click on the “OK” button to dismiss the warning message.
• Click on the “Restart” button in the LCC Installer to reboot the system and finish the installation.

 

NOTE:  The Installer warning message that appears is benign message.  Although the message appears, the LogitechUnifying.kext file gets installed & updated.

Logi Nu
RichardTench
Posts: 1
Registered: ‎11-06-2011

Re: Error during (Mac) Logitech Control Center upgrade

[ Edited ]

Hi. Can you please let me know how to uninstall? After searching these forums unsuccessfully, then a web search, I found a method:

 

  1. I right clicked on the 3.5.0 installer to Show Package Contents
  2. Ran "LCC Uninstaller Tool" in the Contents\Resources folder. 

It ran very quickly (less than one second) in Terminal with the results at bottom of this post, and:

  • The Logitech Control Centre is still in my System Preferences
  • After a restart Logitech Control Center Daemon is still running.
  • Version of Logitech Control Center Daemon in <Startup Drive>\Library\Application Support\Logitech\Logitech Control Center is 3.5.0

Results were:

 

Last login: Sun Nov 6 11:16:56 on console
/Users/~/Downloads/LCC\ Installer.app/Contents/Resources/LCC\ Uninstaller\ Tool ; exit;
[iMac-27:~] srt% /Users/~/Downloads/LCC\ Installer.app/Contents/Resources/LCC\ Uninstaller\ Tool ; exit;
logout

[Process completed]

Logi Nu
davosian
Posts: 1
Registered: ‎11-18-2011

Re: Error during (Mac) Logitech Control Center upgrade

The uninstaller for Mac is hiding in  the /Applications/Utilities Folder. Run it and reboot afterwards.

Logi Nu
AD_Adam
Posts: 1
Registered: ‎05-17-2012

Re: Error during (Mac) Logitech Control Center upgrade

I got through the same issue following the directions though when I open the Control Center I get a "No Logitech Device Found" error. I can actually use the MX 5500 Bluetooth keyboard and mouse combo though none of the additional buttons on the mouse work. Also, and much less important, many of the extra buttons on the keyboard don't work either.

 

Thanks for the help.

Retired Logitech Employee / Moderator (Inactive)
Cintech
Posts: 3,154
Registered: ‎04-01-2011

Re: Error during (Mac) Logitech Control Center upgrade

Hello AD_Adam,

 

The Cordless Desktop® MX™ 5500 is not supported by the Logitech Control Center.

Please see the specifications tab on the following link:

http://www.logitech.com/en-us/keyboards/keyboard-mice-combos/devices/cordless-desktop-mx-5500-revolu...

 

Best Regards,

Knowledgebase | Downloads + Get Parts | Contact Support | Manuals | Warranty | Rebate
If a reply adequately addresses your technical issue, please click on the "Accept as Solution" and "Give Kudos" button so this information can benefit other users via search.
Logi Nu
lerici
Posts: 1
Registered: ‎07-26-2012

Re: Error during (Mac) Logitech Control Center upgrade

I am having the same problem with 3.6 under Lion plus there are THESE console messages:

 

7/26/12 7:46:59.875 PM com.apple.kextcache: CMUSBPointer.kext - dependency for com.orderedbytes.driver.CMUSBDevices lacks valid OSBundleCompatibleVersion.
7/26/12 7:46:59.875 PM com.apple.kextcache: CMUSBPointer.kext is missing dependencies (including anyway; dependencies may be available from elsewhere)
7/26/12 7:46:59.876 PM com.apple.kextcache: CMUSBKeyboard.kext - dependency for com.orderedbytes.driver.CMUSBDevices lacks valid OSBundleCompatibleVersion.
7/26/12 7:46:59.876 PM com.apple.kextcache: CMUSBKeyboard.kext is missing dependencies (including anyway; dependencies may be available from elsewhere)
7/26/12 7:47:00.298 PM com.apple.kextcache: CMUSBPointer.kext - dependency for com.orderedbytes.driver.CMUSBDevices lacks valid OSBundleCompatibleVersion.
7/26/12 7:47:00.298 PM com.apple.kextcache: CMUSBKeyboard.kext - dependency for com.orderedbytes.driver.CMUSBDevices lacks valid OSBundleCompatibleVersion.